#
from enigma import *
from Screens.Screen import Screen
from Screens.MessageBox import MessageBox
from Screens.InputBox import InputBox
from Screens.ChoiceBox import ChoiceBox
from Components.ActionMap import ActionMap, NumberActionMap
from Components.ScrollLabel import ScrollLabel
from Components.GUIComponent import *
from Components.MenuList import MenuList
from Components.Input import Input
from Screens.Console import Console
from Plugins.Plugin import PluginDescriptor
from Screens.ImageWizard import ImageWizard
from Plugins.Plugin import PluginDescriptor

import os

LCDmanager_pluginversion = "0.7"

def main(session,**kwargs):
    try:    
     	session.open(LCDmanager)
    except:
        print "[LCDMANAGER] Pluginexecution failed"
        
def autostart(reason,**kwargs):
    if reason == 0:
        print "[LCDMANAGER] no autostart"
        
def Plugins(**kwargs):
    return PluginDescriptor(
        name="LCDmanager", 
        description="plugin to do LCD display management", 
        where = PluginDescriptor.WHERE_PLUGINMENU,
        fnc = main
        )
        
class LCDmanager(Screen):
    skin = """
        <screen position="100,100" size="500,400" title="LCDmanager Menu" >
            <widget name="menu" position="10,10" size="490,390" scrollbarMode="showOnDemand" />
        </screen>"""
        
    def __init__(self, session, args = 0):
        self.skin = LCDmanager.skin
        self.session = session
        Screen.__init__(self, session)
        self.menu = args
        list = []
        list.append((_("disable LCD for enigma2"), "disable"))
        list.append((_("enable LCD for enigma2"), "enable"))
        list.append((_("about"), "about"))        
        self["menu"] = MenuList(list)
        self["actions"] = ActionMap(["WizardActions", "DirectionActions"],{"ok": self.go,"back": self.close,}, -1)
        
    def go(self):
        returnValue = self["menu"].l.getCurrentSelection()[1]
        if returnValue is not None:
           if returnValue is "disable":
               self.session.open(MessageBox,_("LCD display is %s" % returnValue), MessageBox.TYPE_WARNING)
	       eDBoxLCD.getInstance().lock()
           elif returnValue is "enable":
	       eDBoxLCD.getInstance().unlock()
               self.session.open(MessageBox,_("LCD display is %s" % returnValue), MessageBox.TYPE_WARNING)
           elif returnValue is "about":
             self.session.open(MessageBox,_("LCD Manager Enigma2 Plugin by gutemine V%s\n" % LCDmanager_pluginversion), MessageBox.TYPE_INFO)

